> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Health

> Force a re-check of robots.txt, llms.txt, and sitemap. Quota-limited
by the plan's ``health_refresh_monthly_website_limit``.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/public/health/refresh
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/health/refresh:
    post:
      tags:
        - Health
      summary: Refresh Health
      description: |-
        Force a re-check of robots.txt, llms.txt, and sitemap. Quota-limited
        by the plan's ``health_refresh_monthly_website_limit``.
      operationId: refresh_health_api_v1_public_health_refresh_post
      parameters:
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlobalHealthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GlobalHealthResponse:
      properties:
        robots_allows_ai:
          type: boolean
          title: Robots Allows Ai
        llms_txt_exists:
          type: boolean
          title: Llms Txt Exists
        sitemap_exists:
          type: boolean
          title: Sitemap Exists
        last_health_check_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Health Check At
      type: object
      required:
        - robots_allows_ai
        - llms_txt_exists
        - sitemap_exists
        - last_health_check_at
      title: GlobalHealthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````